? patches/patch-ag
? patches/patch-ah
Index: distinfo
===================================================================
RCS file: /NetBSD/pkgsrc/security/openvas-libraries/distinfo,v
retrieving revision 1.1.1.1
diff -u -3 -p -r1.1.1.1 distinfo
--- distinfo	4 Jan 2009 01:08:52 -0000	1.1.1.1
+++ distinfo	11 Mar 2009 10:47:32 -0000
@@ -8,4 +8,6 @@ SHA1 (patch-ab) = 35935f39ad9c0a432abc1d
 SHA1 (patch-ac) = 50e33c8d9571e8c67052f3e0462d5ccd1f60eb0e
 SHA1 (patch-ad) = 9a66d6ffad12edbc09176b390325065011abafa3
 SHA1 (patch-ae) = e2d36036d2043fb0a4ad1ada281ec165ed9c08ea
-SHA1 (patch-af) = edbabcc8b5f3a3a654f52ab678c932471f2fb1a7
+SHA1 (patch-af) = 5c3c94aa15b5e8214617fd35c88bdf129fd57009
+SHA1 (patch-ag) = 934079188760ca4520bc91a9ebeb88b7bb3ae9e8
+SHA1 (patch-ah) = a699887054cd6e7167f566ec526090d55a10a086
Index: patches/patch-af
===================================================================
RCS file: /NetBSD/pkgsrc/security/openvas-libraries/patches/patch-af,v
retrieving revision 1.1.1.1
diff -u -3 -p -r1.1.1.1 patch-af
--- patches/patch-af	4 Jan 2009 01:08:52 -0000	1.1.1.1
+++ patches/patch-af	11 Mar 2009 10:47:32 -0000
@@ -1,7 +1,7 @@
 $NetBSD: patch-af,v 1.1.1.1 2009/01/04 01:08:52 adrianp Exp $
 
---- configure.orig	2008-12-29 20:29:55.000000000 +0000
-+++ configure
+--- configure.orig	2008-12-16 15:03:22 +0200
++++ configure	2009-03-11 12:12:10 +0200
 @@ -19073,8 +19073,71 @@ fi
  
  
@@ -19,8 +19,7 @@ $NetBSD: patch-af,v 1.1.1.1 2009/01/04 0
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
- 
--{ echo "$as_me:$LINENO: checking for __dn_expand in -lresolv" >&5
++
 +/* Override any GCC internal prototype to avoid an error.
 +   Use char because int might match the return type of a GCC
 +   builtin and then its argument prototype would still apply.  */
@@ -61,7 +60,8 @@ $NetBSD: patch-af,v 1.1.1.1 2009/01/04 0
 +
 +	ac_cv_lib_resolv_dn_expand=no
 +fi
-+
+ 
+-{ echo "$as_me:$LINENO: checking for __dn_expand in -lresolv" >&5
 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
 +      conftest$ac_exeext conftest.$ac_ext
 +LIBS=$ac_check_lib_save_LIBS
@@ -75,12 +75,34 @@ $NetBSD: patch-af,v 1.1.1.1 2009/01/04 0
  echo $ECHO_N "checking for __dn_expand in -lresolv... $ECHO_C" >&6; }
  if test "${ac_cv_lib_resolv___dn_expand+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
-@@ -19143,6 +19206,8 @@ echo "$as_me: error: you need to install
-    { (exit 1); exit 1; }; }
- fi
- 
+@@ -19137,10 +19200,12 @@ fi
+ echo "${ECHO_T}$ac_cv_lib_resolv___dn_expand" >&6; }
+ if test $ac_cv_lib_resolv___dn_expand = yes; then
+   LIBS="-lresolv $LIBS"
+-else
+-  { { echo "$as_me:$LINENO: error: you need to install resolve library with development files" >&5
+-echo "$as_me: error: you need to install resolve library with development files" >&2;}
+-   { (exit 1); exit 1; }; }
++# else
++#  { { echo "$as_me:$LINENO: error: you need to install resolve library with development files" >&5
++#echo "$as_me: error: you need to install resolve library with development files" >&2;}
++#   { (exit 1); exit 1; }; }
 +fi
 +
+ fi
+ 
  
- { echo "$as_me:$LINENO: checking for gnutls_init in -lgnutls" >&5
- echo $ECHO_N "checking for gnutls_init in -lgnutls... $ECHO_C" >&6; }
+@@ -19234,11 +19299,11 @@ cat >>conftest.$ac_ext <<_ACEOF
+ #ifdef __cplusplus
+ extern "C"
+ #endif
+-char pcap_restart ();
++char pcap_close ();
+ int
+ main ()
+ {
+-return pcap_restart ();
++return pcap_close ();
+   ;
+   return 0;
+ }
--- /dev/null	2009-03-11 12:29:28 +0200
+++ patches/patch-ag	2009-03-11 12:22:48 +0200
@@ -0,0 +1,12 @@
+$NetBSD$
+
+--- libopenvas/ftp_funcs.c.orig	2009-03-11 12:16:29 +0200
++++ libopenvas/ftp_funcs.c	2009-03-11 12:17:29 +0200
+@@ -30,6 +30,7 @@
+ /* this works for libc6 systems, unclear
+  * wether it will not work on other systems */
+ #include <netinet/in.h>
++#include <sys/socket.h>
+ 
+ #include "network.h"
+ 
--- /dev/null	2009-03-11 12:29:28 +0200
+++ patches/patch-ah	2009-03-11 12:22:56 +0200
@@ -0,0 +1,12 @@
+$NetBSD$
+
+--- libopenvas/ids_send.c.orig	2009-03-11 12:18:05 +0200
++++ libopenvas/ids_send.c	2009-03-11 12:18:45 +0200
+@@ -36,6 +36,7 @@
+ #include <unistd.h>
+ #include <stdlib.h>
+ #include <arpa/inet.h>
++#include <sys/socket.h>
+ 
+ #include "arglists.h"
+ #include "bpf_share.h"
